# Generated from maglove-engine-2.0.15.gem by gem2rpm -*- rpm-spec -*-
%global gem_name maglove-engine

Name: rubygem-%{gem_name}
Version: 2.0.15
Release: 1%{?dist}
Summary: Maglove Engine - MagLoft Theme Rendering Engine
License: BSD-3-Clause
URL: https://github.com/MagLoft/maglove
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 2.4.7
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry) >= 0.11
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rubocop) >= 0.52
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rouge) >= 3.1
# BuildRequires: rubygem(rouge) < 4
# BuildRequires: rubygem(htmlbeautifier) >= 1.3
# BuildRequires: rubygem(htmlbeautifier) < 2
BuildArch: noarch

%description
This gem contains development and built tools for rendering MagLoft themes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.15-1
- Initial package
